Bug 968966 - Passwords to online accounts are not saved
Passwords to online accounts are not saved
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 07:34 EDT by Vojtěch Boček
Modified: 2015-02-17 10:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:23:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl -a from first boot - user creation, online accounts setup (125.24 KB, text/plain)
2013-05-30 07:34 EDT, Vojtěch Boček
no flags Details
rpm -qa (38.86 KB, text/plain)
2013-05-30 07:36 EDT, Vojtěch Boček
no flags Details

  None (edit)
Description Vojtěch Boček 2013-05-30 07:34:23 EDT
Created attachment 754787 [details]
journalctl -a from first boot - user creation, online accounts setup

Description of problem:
Passwords to online accounts (gmail and facebook was tested) set-up in g-i-s in first boot after clean installation are not saved. Settings -> Online accounts says that "Credentials have expired." for both gmail and facebook. Passwords entered in g-i-s were correct.

Empathy fails to log-in and Seahorse does not show any passwords in the keyring.

Version-Release number of selected component (if applicable):
gnome-initial-setup-0.10-3.fc19.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Do a clean installation, set root password but don't create normal user
2. g-i-s in first boot will ask you to create user. Make one and specify some online accounts in g-i-s in the process
3. Go to Settings -> Online accounts

Actual results:
Accounts do not have passwords saved.

Expected results:
g-i-s should properly save passwords.
Comment 1 Vojtěch Boček 2013-05-30 07:36:13 EDT
Created attachment 754788 [details]
rpm -qa
Comment 2 Kamil Páral 2013-05-30 07:38:06 EDT
Reproduced with F19 Beta. The passwords are not saved at all, the accounts fail to connect right after finishing g-i-s.
Comment 4 Fedora End Of Life 2015-01-09 13:16:02 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 10:23:42 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.